petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatLMVMGetUpdateCount

Returns the number of accepted updates. This number may be greater than the total number of update vectors stored in the matrix. The counters are reset when MatLMVMReset() is called.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode MatLMVMGetUpdateCount(Mat B, PetscInt *nupdates)

### Input Parameters

B -An LMVM-type matrix

### Output Parameter

nupdates -number of accepted updates

### See Also

MatLMVMGetRejectCount(), MatLMVMReset()

### Level

intermediate

### Location

src/ksp/ksp/utils/lmvm/lmvmutils.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages